import { j as t } from "../../node_modules/react/jsx-runtime.js";
import { cn as p } from "../../utils/index.js";
import { forwardRef as c } from "react";
import { Button as g } from "./base.js";
const d = ({
  length: s,
  size: o,
  variant: n,
  colorScheme: r,
  disabled: i
}) => {
  const m = s || "long", a = {
    long: { md: "md", sm: "sm" },
    short: { md: "md", sm: "md" }
  }[m][o || "md"];
  return `/${r}-logo-${i ? "disabled" : n === "outline" ? "white" : { singpass: "red", corppass: "blue" }[r ?? "singpass"]}-${a}-${m}.svg`;
}, e = c(({ length: s, className: o, ...n }, r) => {
  const i = d({
    length: s,
    ...n
  });
  return /* @__PURE__ */ t.jsxs(
    g,
    {
      ref: r,
      className: p(
        s === "short" && "flex flex-col gap-0 items-start",
        o
      ),
      ...n,
      children: [
        s === "short" ? /* @__PURE__ */ t.jsx("span", { children: "Log in" }) : "Log in with",
        " ",
        /* @__PURE__ */ t.jsx("img", { src: i, alt: "icon" })
      ]
    }
  );
}), f = c((s, o) => /* @__PURE__ */ t.jsx(e, { ref: o, colorScheme: "singpass", ...s })), j = c((s, o) => /* @__PURE__ */ t.jsx(e, { ref: o, colorScheme: "corppass", ...s }));
export {
  e as LoginWithButton,
  j as LoginWithCorppassButton,
  f as LoginWithSingpassButton
};
